Insteon Control - Feature #878

Allow controlling of Insteon in Splunk
10/28/2014 05:14 AM - Luke Murphey

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Luke Murphey % Done:

Category: Estimated time:

Target version: 0.5

12/19/2015

100%
0.00 hour

Description
Use the Inteon Hub API to make requests.

http://leftovercode.info/smartlinc.html
https://blog.automategreen.com/post/insteon-rest-api-quick-start/

Subtasks:

Task # 1137: Create basic alert action

Task # 1138: Create modular alert base class

Task # 1139: Create custom fields for input validation

Task # 1140: Enumerate commands in modular alert Ul

Closed
Closed
Closed
Closed

Related issues:
Related to Insteon - Feature #930: iMeter Power Usage

New

12/17/2014

History

#1 - 11/22/2014 12:33 AM - Luke Murphey
The Hub 2 is dropping support for the PLM API. Might need to accelerate this.

#2 - 11/22/2014 12:35 AM - Luke Murphey
See here: Hub_versus_PLM_API

#3 - 12/15/2015 04:55 AM - Luke Murphey

- Description updated

#4 - 12/19/2015 04:15 AM - Luke Murphey
- Related to Feature #930: iMeter Power Usage added

#5 - 12/19/2015 04:23 AM - Luke Murphey

Could be done as a modular alert: http://docs.splunk.com/Documentation/Splunk/6.3.0/AdvancedDev/ModAlertsIntro

#6 - 12/19/2015 07:40 AM - Luke Murphey
Things that are non-obvious with modular alerts:
® How to get configuration to show up in the alert
o Must declare parameters in alert_actions.conf.spec and savedsearches.conf.spec
o Make sure that the names match

o Make sure setup.xml params start with "params."”
e Logs can be searched with search of "index=_internal sendmodalert sourcetype=splunkd"

#7 - 12/19/2015 07:31 PM - Luke Murphey

05/09/2025

1/2



http://leftovercode.info/smartlinc.html
https://blog.automategreen.com/post/insteon-rest-api-quick-start/
https://lukemurphey.net/projects/splunk-insteon-alert/wiki/Hub_versus_PLM_API
http://docs.splunk.com/Documentation/Splunk/6.3.0/AdvancedDev/ModAlertsIntro

- Project changed from Insteon to Insteon Control

- Subject changed from Insteon hub API to Allow controlling of Insteon in Splunk

#8 - 12/19/2015 07:35 PM - Luke Murphey

- Target version set to 0.5

#9 - 12/21/2015 06:41 PM - Luke Murphey
- Status changed from New to Closed

05/09/2025
